<?php
$isEsignatureActive  = (function_exists("WP_E_Sig")) ? true : false;
$isEsigAndProActive = (function_exists("WP_E_Sig") && class_exists("ESIG_SAD_Admin")) ? true : false;
?>
<!-- Start Step 1 -->
<div class="approveme-feature-section approveme-table">
    <div class="approveme-row">
        <div class="approveme-column-2">
            <h4><span class="esig-step">1</span> <?php _e('Download and Install the required plugins', 'edd-esig'); ?></h4>
            <p><?php _e("Congrats on installing our Digital Signature Easy Digital Downloads Add-on.  You're almost ready!  ApproveMe's WP E-Signature requires a few more plugins/add-ons so you can unlock the power and automate Easy Digital Downloads and legally binding Digital Signatures. You'll need to download the following:", "edd-esig"); ?></p>

            <p>1. <?php _e('<a href="https://easydigitaldownloads.com/?ref=965">Easy Digital Downloads</a><br>2. <a href="https://www.approveme.com/?utm_source=wprepo&utm_medium=link&utm_campaign=easydigitaldownloads"> WP E-Signature</a> <em>(Ultimate, Business or Pro license)<br> </em>3. E-Signature Business Pack (included with the Ultimate and Pro license)', 'edd-esig'); ?></p>
        </div>

        <div class="approveme-column-2 approveme-center">
            <div class="approveme-image">
                <p><br> <img src="<?php echo plugins_url('../assets/images/edd-add-on-step-1.png', __FILE__); ?>" class="esig-edd-pic-border" width="100%">

                </p>
            </div>
        </div>
    </div>

</div>
<!-- End Step 1 -->
<!-- Start Step 2 -->
<div class="approveme-feature-section approveme-table">
    <div class="approveme-row">
        <div class="approveme-column-2">
            <div class="approveme-image">
                <p><br> <img src="<?php echo plugins_url('../assets/images/edd-add-on-step-2.jpg', __FILE__); ?>" class="esig-edd-pic-border" width="100%"></p>
            </div>
        </div>

        <div class="approveme-column-2">
            <h4><span class="esig-step">2</span><?php _e(' Enter your ApproveMe license', 'edd-esig'); ?></h4>
            <?php $licenseUrl =  ($isEsignatureActive) ? '<a href="admin.php?page=esign-licenses-general">enter your license key</a>' : 'enter your license key'; ?>
            <p>Once you have purchased an Ultimate or Pro licenses from ApproveMe, you will need to <?php echo $licenseUrl; ?> .</p>

            <p>To view your license key you can log in to your <a href="https://www.approveme.com/sign-in/?utm_source=wprepo&utm_medium=link&utm_campaign=easydigitaldownloads" target="_blank">ApproveMe account here</a> (password was emailed with your receipt)</p>

        </div>
    </div>

</div>
<!-- End Step 2 -->
<!-- Start Step 3 -->
<div class="approveme-feature-section approveme-table">
    <div class="approveme-row">
        <div class="approveme-column-2">
            <h4><span class="esig-step">3</span> <?php _e('Create a blank WordPress page', 'edd-esig'); ?></h4>
            <?php $settingsUrl =  ($isEsignatureActive) ? '<a href="admin.php?page=esign-settings">settings are saved</a>' : 'settings are saved'; ?>
            <p>After your WP E-Signature plugins are installed and your <?php echo $settingsUrl; ?>, you will need to create a blank WordPress page for each stand alone document that you will be creating. To start, create one blank WordPress page, give it a title, and publish it with the content blank.</p>

            <?php if ($isEsigAndProActive) : ?>
                <div class="approveme-btn">
                    <p class="approveme-mini-btn"><a href="post-new.php?post_type=page" class="approveme-mini-btn outlined" target="_blank">Create a Blank Page Now</a></p>
                </div>
            <?php endif; ?>
            <p>To learn about stand alone documents, you can visit this <a href="https://wpe.approveme.com/article/156-basic-document-vs-stand-alone-document/?utm_source=wprepo&utm_medium=link&utm_campaign=easydigitaldownloads" target="_blank">helpful article</a></p>
        </div>

        <div class="approveme-column-2 approveme-center">
            <div class="approveme-image">
                <p><br> <img src="<?php echo plugins_url('../assets/images/edd-add-on-step-3.png', __FILE__); ?>" class="esig-edd-pic-border" width="100%">

                </p>
            </div>
        </div>
    </div>

</div>
<!-- End Step 3 -->
<!-- Start Step 4 -->
<div class="approveme-feature-section approveme-table">
    <div class="approveme-row">
        <div class="approveme-column-2">
            <div class="approveme-image">
                <div class="approveme-image">
                    <p><br> <img src="<?php echo plugins_url('../assets/images/edd-add-on-step-4.png', __FILE__); ?>" class="esig-edd-pic-border" width="100%"></p>
                </div>
            </div>
        </div>

        <div class="approveme-column-2">
            <h4><span class="esig-step">4</span> <?php _e('Create a Stand Alone Document', 'edd-esig'); ?></h4>
            <p>You're almost there! Now that you've created a blank WordPress page, we need to create a stand alone document and connect it with that WordPress page.</p>

            <?php if ($isEsigAndProActive) : ?>
                <div class="approveme-btn">
                    <p class="approveme-mini-btn approveme-center"><a href="edit.php?post_type=esign&page=esign-add-document&esig_type=sad" class="approveme-mini-btn outlined" target="_blank">Create Stand Alone Doc Now</a></p>
                </div>
            <?php endif; ?>
            
        </div>
    </div>

</div>
<!-- End Step 4 -->
<!-- Start Option 1 -->
<div class="approveme-feature-section approveme-table">
    <div class="approveme-row">
        <div class="approveme-column-2">
            <h4><?php _e('<span class="esig-step">5a</span> Per-Download Contracts', 'edd-esig'); ?></h4>
            <p><?php _e('This last step will vary based on your desired outcome.  Digital signature gives you two contract Easy Digital Downloads E-Signature options.  The first option is per-download/product agreements.', 'edd-esig'); ?></p>


            <p><?php _e('If a customer adds a download that has a "per-download" contract attached to it into their e-commerce shopping cart, they will be required to sign your contract before entering their credit card information. You can attach a unique contract for each unique product/download you offer.', 'edd-esig'); ?></p>

            <p><strong><?php _e('How to Attach a Contract to a Unique Product/Download', 'edd-esig'); ?></strong><br>
            <ol>
                 <?php $eddLInk = (function_exists("EDD")) ? '<a href="edit.php?post_type=download">Navigate to the download</a>' : 'Navigate to the download'; ?>
                <li><?php echo sprintf(__('%s you would like to attach your contract to.</li><li>Select your desired Stand Alone Document from the download sidebar using the dropdown menu.</li><li>Save your changes.</li></ol></p>', 'edd-esig'),$eddLInk); ?>
        </div>

        <div class="approveme-column-2 approveme-center">
            <div class="approveme-image">
                <p><br> <img src="<?php echo plugins_url('../assets/images/edd-add-on-step-5a.jpg', __FILE__); ?>" class="esig-edd-pic-border" width="100%">

                </p>
            </div>
        </div>
    </div>

</div>
<!-- End Option 1 -->
<!-- Start Option 2 -->
<div class="approveme-feature-section approveme-table">
    <div class="approveme-row">
        <div class="approveme-column-2">
            <div class="approveme-image">
                <p><br> <img src="<?php echo plugins_url('../assets/images/edd-add-on-step-5b.jpg', __FILE__); ?>" class="esig-edd-pic-border" width="100%"></p>
            </div>
        </div>
        <div class="approveme-column-2">
            <h4><?php _e('<span class="esig-step">5b</span> Global Contracts', 'edd-esig'); ?></h4>
            <p><?php _e('A Global Contract is pretty rad... it lets you set a &quot;global contract&quot; or "global agreement" for your entire e-commerce store.  In short you can require ALL customers (regardless of the products they purchase) to sign a legal contract before completing their checkout.', 'edd-esig'); ?></p>

            <p><?php _e('<strong>How to Define Your Global Contract', 'edd-esig'); ?></strong><br>
            <ol>
                    <?php $eddLInk = (function_exists("EDD")) ? '<a href="edit.php?post_type=download&page=edd-settings&tab=misc">Downloads &#8594; Settings &#8594; MISC Options</a>' : 'Downloads &#8594; Settings &#8594; MISC Options' ; ?>
                <li> Navigate to the <?php echo $eddLInk ; ?></li><li>Select your desired Stand Alone Document from the agreements dropdown menu.</li><li>Save your changes.</li></ol></p>

        </div>
    </div>

</div>
<!-- End Option 2 -->