<?php

class ESIG_EDD_Frontend extends Esig_Edd_Settings {

    public static function Init() {
        add_action('edd_before_checkout_cart', array(__CLASS__, 'esig_before_checkout_form'), 10);
        //add_action('esig_document_before_display', array(__CLASS__, 'esig_signature_after'), 10, 1);
        
        add_action('esig_after_sad_process_done', array(__CLASS__, 'esig_signature_after'), 11, 1);
        add_action('esig_approval_signer_added', array(__CLASS__, 'esig_signature_after'), 11, 1);
        // after purchase complete 
        add_action('edd_complete_purchase', array(__CLASS__, 'esig_new_edd_order'), 1100);
        // edd emtpy cart 
        // add_action('edd_cart_empty', array(__CLASS__, 'esig_edd_cart_empty'), 9);
        add_action('edd_empty_cart', array(__CLASS__, 'esig_edd_cart_empty'), 9);
        //adding shortcode
        add_shortcode('esig-edd-order-details', array(__CLASS__, 'esig_order_details'));
        add_filter('edd_can_view_receipt', array(__CLASS__, 'esig_can_view_receipt'), 10, 2);
        add_action('edd_insert_payment', array(__CLASS__, 'edd_payment_status_change'), -1, 2);
        //add_action('edd_payment_receipt_before',array(__CLASS__,'esig_edd_agreement_required'),10,2);
        add_action('edd_complete_purchase', array(__CLASS__, 'esig_edd_agreement_required'), 9999, 1);
        add_filter('esignature_content', array(__CLASS__, 'esignature_content'), 10, 2);
    }

    public static function esignature_content($docContent, $docId) {


       $payment_id = self::get_temp_payment_id();

        if (!$payment_id) {
            $invitation = WP_E_Sig()->invite->getInviteBy('document_id', $docId);
            if (!$invitation) {
                return $docContent;
            }
            $payment_id = self::get_payment_id($invitation->document_id,$invitation->invitation_id);
        }

        if (!$payment_id) {
            return $docContent;
        }
        $data = self::orderDetails($payment_id);
        $latestContent = WP_E_View::instance()->replace_variable($docContent, $data);
        return $latestContent;
    }

    public static function esig_can_view_receipt($return, $payment_key) {
        if (!$return) {
            if (self::is_edd_shortcode_view()) {
                self::remove_temp_site_transient();
                return true;
            }
        }
        return $return;
    }

    public static function esig_edd_agreement_required($payment_id) {

        if (!self::is_signature_required()) {
            return;
        }

        //$payment_id = self::get_temp_payment_id();
        $allsent = self::required_signature_loop();
        if ($allsent) {

            self::edd_purchase_complete($payment_id);
            self::esig_edd_cart_empty();
        }
    }

    public static function edd_payment_status_change($payment_id, $payment_data) {
        self::edd_purchase_complete($payment_id);
    }

    public static function esig_new_edd_order($payment_id) {
        // set product agreement 
        self::set_product_agreement('after_checkout');
        self::set_global_agreement('after_checkout');

        // save payment id 
        self::set_temp_payment_id($payment_id);

        /* if (!self::is_signature_required()) {
          return;
          }

          $allsent = self::required_signature_loop();
          if ($allsent) {
          self::edd_purchase_complete($payment_id);
          self::esig_edd_cart_empty();
          } */
    }

    public static function esig_edd_cart_empty() {

        EDD()->session->set(self::ESIG_EDD_SESSION, NULL);
        EDD()->session->set('esig-edd-payment-id', NULL);
        self::delete_temp_settings();
        self::delete_temp_payment_id();
    }

    public static function esig_signature_after($args) {

        if (!self::is_signature_required()) {
            return;
        }
       
        $document_id = $args['document_id'];
        // fire an action for each document load
        do_action('esig_signature_loaded', array('document_id' => $document_id,));
        

        self::set_agreement_list(self::sad_page_id($args['sad_doc_id']), $document_id);
        // check for required signature 
       
        self::required_signature_loop();

        if (self::get_temp_payment_id()) {

            self::edd_purchase_complete(self::get_temp_payment_id());
            $return_url = edd_get_success_page_uri();
            edd_empty_cart();

            wp_redirect($return_url);
            exit;
        } else {
            wp_redirect(edd_get_checkout_uri());
            exit;
        }
    }

    public static function set_product_agreement($logic) {
        // agreement for items 
        foreach (edd_get_cart_contents() as $cart_item) {

            $post_id = $cart_item['id'];

            if (!self::is_product_agreement_enabled($post_id)) {
                continue;
            }
            if (!self::is_product_logic($post_id, $logic)) {
                continue;
            }

            $product_sad_page = self::get_product_sad_page($post_id);
            
            // if product agreement id is not valid then continue 
            if(!is_numeric($product_sad_page))
            {
                continue;
            }
            if (!self::is_agreement_page_signed($product_sad_page)) {
                self::set_agreement_list($product_sad_page, false);
            }
        }
    }

    public static function set_global_agreement($logic) {
        // agreement for global settings 
        if (!self::is_global_agreement_enabled()) {
            return;
        }

        if (!self::is_global_logic($logic)) {
            return;
        }

        $esign_edd_sad_page = self::get_global_sad_page();
        // if not a valid global agreement id do not add it 
        if(!is_numeric($esign_edd_sad_page))
        {
            return false;
        }
        
        if (!self::is_agreement_page_signed($esign_edd_sad_page)) {
            self::set_agreement_list($esign_edd_sad_page, false);
        }
    }

    public static function esig_before_checkout_form() {

        // set product agreement 
        self::set_product_agreement('before_checkout');
        self::set_global_agreement('before_checkout');
        if (!self::is_signature_required()) {

            return;
        }

        self::required_signature_loop();
    }

    public static function required_signature_loop() {

        if (!self::is_signature_required()) {
            return;
        }
       
        foreach (self::get_required_agreement_list() as $page_id => $signed) {
            if (!$signed) {
                wp_redirect(get_permalink($page_id));
                exit;
            }
        }

        return true;
    }

    public static function esig_order_details($atts) {

        if (!function_exists('WP_E_Sig')) {
            return;
        }

        extract(shortcode_atts(array(
                        ), $atts, 'esig-edd-order-details'));

        $invitation_id = null;

        if (ESIG_GET('invite')) {
            $invite_hash = ESIG_GET('invite');
            $invitation = WP_E_Sig()->invite->getInviteBy('invite_hash', $invite_hash);
        }
        
        if (ESIG_GET('esigpreview')) {
            $document_id = ESIG_GET('document_id');
            $invitation = WP_E_Sig()->invite->getInviteBy('document_id', $document_id);
        }

        // for pdf downloading options 
        if (ESIG_GET('did')) {
            $did = ESIG_GET('did');
            $invitation = WP_E_Sig()->invite->getInviteBy('document_id',WP_E_Sig()->document->document_id_by_csum($did));
        }

        if(isset($invitation))
        {
            $invitation_id = $invitation->invitation_id;
            $document_id = $invitation->document_id;
            $payment_id = self::get_payment_id($document_id, $invitation_id);
        }
        else  
        {
            $payment_id = self::get_temp_payment_id();
        }
       
            if (!$payment_id) {
                return;
            }
            $payment_key = self::get_payment_key($payment_id);
            
            self::set_temp_site_transient($payment_key);
            add_filter('edd_can_view_receipt', array(__CLASS__, 'can_view_receipt'), 999, 2);
       
            $html = do_shortcode('[edd_receipt payment_key="' . $payment_key . '"]');
            
            return $html;
       

    }

    public static function can_view_receipt($return, $payment_key) {
        return true;
    }

}
